## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: conan
Version: 2.9.2
Release: %autorelease

License: MIT
Summary: Open-source C/C++ package manager
URL: https://github.com/%{name}-io/%{name}
Source0: %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: python3-devel

Requires: cmake
Requires: gcc
Requires: gcc-c++
Requires: git-core
Requires: ninja-build

%description
Conan is a package manager for C and C++ developers.

It is fully decentralized. Users can host their packages on their servers,
privately.

Works across all platforms. It can create, upload and download binaries for
any configuration and platform, even cross-compiling, saving lots of time in
development and continuous integration. The binary compatibility can be
configured and customized. Manage all your artifacts in the same way on all
platforms.

Integrates with any build system. Provides tested support for most major
build systems.

Its python based recipes, together with extensions points allows for great
power and flexibility.

%prep
%autosetup -p1
sed -e 's/, .*//g' -i %{name}s/requirements.txt
find -name '*.py' \( \! -perm /u+x,g+x,o+x -exec sed -e '/^#!/Q 0' -e 'Q 1' {} \; -exec sed -i '1d' {} \; \)

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name} %{name}s

%files -f %{pyproject_files}
%license LICENSE.md
%doc README.md contributors.txt
%{_bindir}/%{name}

%changelog
## START: Generated by rpmautospec
* Thu Nov 07 2024 Vitaly <vitaly@easycoding.org> - 2.9.2-1
- Updated to version 2.9.2.

* Wed Oct 30 2024 Vitaly <vitaly@easycoding.org> - 2.9.1-1
- Updated to version 2.9.1.

* Tue Oct 29 2024 Vitaly <vitaly@easycoding.org> - 2.9.0-1
- Updated to version 2.9.0.

* Thu Oct 17 2024 Vitaly <vitaly@easycoding.org> - 2.8.1-1
- Updated to version 2.8.1.

* Tue Oct 01 2024 Vitaly <vitaly@easycoding.org> - 2.8.0-1
- Updated to version 2.8.0.

* Tue Sep 17 2024 Vitaly <vitaly@easycoding.org> - 2.7.1-1
- Updated to version 2.7.1.

* Thu Aug 01 2024 Vitaly <vitaly@easycoding.org> - 2.6.0-1
- Updated to version 2.6.0.

* Tue Jul 23 2024 Vitaly <vitaly@easycoding.org> - 2.5.0-1
- Updated to version 2.5.0.

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 13 2024 Vitaly <vitaly@easycoding.org> - 2.4.1-1
- Updated to version 2.4.1.

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.3.2-2
- Rebuilt for Python 3.13

* Tue May 28 2024 Vitaly <vitaly@easycoding.org> - 2.3.2-1
- Updated to version 2.3.2.

* Thu May 16 2024 Vitaly <vitaly@easycoding.org> - 2.3.1-1
- Updated to version 2.3.1.

* Wed Apr 24 2024 Vitaly <vitaly@easycoding.org> - 2.2.3-1
- Updated to version 2.2.3.

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.8-1
- Updated to version 2.0.8.

* Tue Jun 27 2023 Python Maint <python-maint@redhat.com> - 2.0.7-2
- Rebuilt for Python 3.12

* Wed Jun 21 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.7-1
- Updated to version 2.0.7.

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 2.0.6-2
- Rebuilt for Python 3.12

* Wed May 31 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.6-1
- Updated to version 2.0.6.

* Wed Apr 12 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.4-1
- Updated to version 2.0.4.

* Tue Apr 04 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.3-1
- Updated to version 2.0.3.

* Wed Mar 15 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.2-1
- Updated to version 2.0.2.

* Fri Mar 03 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.1-1
- Updated to version 2.0.1.

* Wed Feb 22 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.0-1
- Updated to version 2.0.0.

* Sat Feb 18 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.0-0.10.beta10
- Updated to version 2.0.0-beta10.

* Tue Jan 31 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.0-0.9.beta9
- Updated to version 2.0.0-beta9.

* Fri Jan 20 2023 Tom Callaway <spot@fedoraproject.org> - 2.0.0-0.8.beta8
- teach conan to make fire ... i mean, teach conan that gcc 13 exists

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-0.7.beta8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 13 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.0-0.6.beta8
- Updated to version 2.0.0-beta8.

* Thu Dec 22 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.0-0.5.beta7
- Updated to version 2.0.0-beta7.

* Fri Dec 02 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.0-0.4.beta6
- Updated to version 2.0.0-beta6.

* Sat Nov 12 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.0-0.3.beta5
- Updated to version 2.0.0-beta5.

* Tue Oct 11 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.0-0.2.beta4
- Updated to version 2.0.0-beta4.

* Mon Sep 12 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 2.0.0-0.1.beta3
- Initial SPEC release.

## END: Generated by rpmautospec
